Bug 161787 - "ALT+F2" Crash after launching command
Summary: "ALT+F2" Crash after launching command
Status: RESOLVED WORKSFORME
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-08 12:44 UTC by Valentin Rusu
Modified: 2010-01-09 12:43 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Valentin Rusu 2008-05-08 12:44:00 UTC
Version:           4.00.72 (using Devel)
Installed from:    Compiled sources
OS:                Linux

I used ALT+F2 to launch a program (doesn't matter). The program lanches ok. After a while (several minutes), a crash handler appears for "Run Command Interface". Here is the backtrace (sorry for the release mode qt-copy) :

Application: Run Command Interface (krunner), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0xb4a1f740 (LWP 6679)]
[New Thread 0xb0e14b90 (LWP 6974)]
[New Thread 0xb1615b90 (LWP 6896)]
[New Thread 0xb1e16b90 (LWP 6895)]
[New Thread 0xb2617b90 (LWP 6894)]
[New Thread 0xb2e18b90 (LWP 6893)]
[KCrash handler]
#6  0xb486fef4 in ?? () from /usr/lib/libdbus-1.so.3
#7  0xbf8f9910 in ?? ()
#8  0x0000013b in ?? ()
#9  0x0000001c in ?? ()
#10 0xb487aff4 in ?? () from /usr/lib/libdbus-1.so.3
#11 0x08282c68 in ?? ()
#12 0xbf8f9e78 in ?? ()
#13 0xbf8f9978 in ?? ()
#14 0xb4866fb8 in ?? () from /usr/lib/libdbus-1.so.3
#15 0x00000021 in ?? ()
#16 0xb487aff4 in ?? () from /usr/lib/libdbus-1.so.3
#17 0xbf8f9998 in ?? ()
#18 0xb484fc15 in ?? () from /usr/lib/libdbus-1.so.3
#19 0x00000021 in ?? ()
#20 0xb60ea6a3 in ?? () from /home/valentin/kde/inst/4/lib/libQtDBus.so.4
#21 0xbf8f99c8 in ?? ()
#22 0xb60e88ee in ?? () from /home/valentin/kde/inst/4/lib/libQtDBus.so.4
#23 0xb487aff4 in ?? () from /usr/lib/libdbus-1.so.3
#24 0x08295890 in ?? ()
#25 0xbf8f99b8 in ?? ()
#26 0xb4861d35 in ?? () from /usr/lib/libdbus-1.so.3
#27 0x08282c68 in ?? ()
#28 0xb60ea6a3 in ?? () from /home/valentin/kde/inst/4/lib/libQtDBus.so.4
#29 0xbf8f99c8 in ?? ()
#30 0xb6bddbdc in ?? () from /home/valentin/kde/inst/4/lib/libQtCore.so.4
#31 0xb487aff4 in ?? () from /usr/lib/libdbus-1.so.3
#32 0x08295890 in ?? ()
#33 0xbf8f99d8 in ?? ()
#34 0xb48547b5 in ?? () from /usr/lib/libdbus-1.so.3
#35 0x08295890 in ?? ()
#36 0xb60ee614 in ?? () from /home/valentin/kde/inst/4/lib/libQtDBus.so.4
#37 0xbf8f99e8 in ?? ()
#38 0xb60ee614 in ?? () from /home/valentin/kde/inst/4/lib/libQtDBus.so.4
#39 0x08295960 in ?? ()
#40 0xbf8f9e78 in ?? ()
#41 0xbf8f99e8 in ?? ()
#42 0xb4866b92 in dbus_timeout_handle () from /usr/lib/libdbus-1.so.3
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
#0  0xb7f2c410 in __kernel_vsyscall ()
Comment 1 Tony Wolf 2008-06-09 20:51:45 UTC
got the same here in KDE 4.00.81 (todays trunk)

and a backtrace + qt-debug mode :D

Here it is...

Application: Run Command Interface (krunner), signal SIGABRT
[Thread debugging using libthread_db enabled]
[New Thread 0x7fd0fd6467c0 (LWP 3419)]
[New Thread 0x42f6e950 (LWP 3578)]
[New Thread 0x4276d950 (LWP 3577)]
[New Thread 0x41f6c950 (LWP 3576)]
[New Thread 0x4176b950 (LWP 3575)]
[New Thread 0x40a5f950 (LWP 3574)]
[KCrash handler]
#5  0x00007fd0f5343eb5 in raise () from /lib/libc.so.6
#6  0x00007fd0f53453d3 in abort () from /lib/libc.so.6
#7  0x00007fd0f9791a70 in qt_message_output (msgType=QtFatalMsg, 
    buf=0x417683b0 "ASSERT: \"!isEmpty()\" in file ../../include/QtCore/../../src/corelib/tools/qlist.h, line 253") at global/qglobal.cpp:2058
#8  0x00007fd0f9791b7f in qFatal (
    msg=0x7fd0f9919898 "ASSERT: \"%s\" in file %s, line %d")
    at global/qglobal.cpp:2260
#9  0x00007fd0f9791fbd in qt_assert (assertion=0x7fd0f994f2fa "!isEmpty()", 
    file=0x7fd0f994f290 "../../include/QtCore/../../src/corelib/tools/qlist.h", line=253) at global/qglobal.cpp:1828
#10 0x00007fd0f983a7f3 in QList<QByteArray>::first (this=0x16dd390)
    at ../../include/QtCore/../../src/corelib/tools/qlist.h:253
#11 0x00007fd0f983a88c in QRingBuffer::nextDataBlockSize (this=0x16dd390)
    at ../../include/QtCore/private/../../../src/corelib/tools/qringbuffer_p.h:72
#12 0x00007fd0f983a94e in QRingBuffer::free (this=0x16dd390, bytes=0)
    at ../../include/QtCore/private/../../../src/corelib/tools/qringbuffer_p.h:85
#13 0x00007fd0f983ab10 in QRingBuffer::read (this=0x16dd390, 
    data=0x4176a6d0 "", maxLength=4)
    at ../../include/QtCore/private/../../../src/corelib/tools/qringbuffer_p.h:244
#14 0x00007fd0f983fd70 in QIODevice::read (this=0x1699660, 
    data=0x4176a6d0 "", maxSize=4) at io/qiodevice.cpp:781
#15 0x00007fd0f9826d54 in QDataStream::operator>> (this=0x16532a0, 
    i=@0x4176a74c) at io/qdatastream.cpp:630
#16 0x00007fd0f979f1e1 in QDataStream::operator>> (this=0x16532a0, 
    i=@0x4176a74c)
    at ../../include/QtCore/../../src/corelib/io/qdatastream.h:213
#17 0x00007fd0f97f046e in operator>> (in=@0x16532a0, str=@0x4176a7f8)
    at tools/qstring.cpp:6703
#18 0x00007fd0fb33cb8e in operator>> (s=@0x16532a0, st=@0x4176a7f0)
    at /home/kde4/development/kde4/kdelibs/kdecore/services/kservice.cpp:52
#19 0x00007fd0fb340e11 in operator>><KService::ServiceTypeAndPreference> (
    s=@0x16532a0, v=@0x183b0c0)
    at /usr/local/Trolltech/Qt-4.4.0/include/QtCore/qdatastream.h:292
#20 0x00007fd0fb33cd79 in KServicePrivate::load (this=0x183b050, s=@0x16532a0)
    at /home/kde4/development/kde4/kdelibs/kdecore/services/kservice.cpp:323
#21 0x00007fd0fb340f72 in KServicePrivate (this=0x183b050, _str=@0x16532a0, 
    _offset=730557)
    at /home/kde4/development/kde4/kdelibs/kdecore/services/kservice_p.h:41
#22 0x00007fd0fb33ce3e in KService (this=0x1878af0, _str=@0x16532a0, 
    _offset=730557)
    at /home/kde4/development/kde4/kdelibs/kdecore/services/kservice.cpp:389
#23 0x00007fd0fb3424a5 in KServiceFactory::createEntry (this=0x16b88b0, 
    offset=730557)
    at /home/kde4/development/kde4/kdelibs/kdecore/services/kservicefactory.cpp:181
#24 0x00007fd0fb34215f in KServiceFactory::serviceOffers (this=0x16b88b0, 
    serviceTypeOffset=18558, serviceOffersOffset=8704)
    at /home/kde4/development/kde4/kdelibs/kdecore/services/kservicefactory.cpp:266
#25 0x00007fd0fb34f307 in KServiceTypeTrader::defaultOffers (this=0x16e4120, 
    serviceType=@0x4176ac80, constraint=@0x4176ac30)
    at /home/kde4/development/kde4/kdelibs/kdecore/services/kservicetypetrader.cpp:125
#26 0x00007fd0fb34f381 in KServiceTypeTrader::query (this=0x16e4120, 
    serviceType=@0x4176ac80, constraint=@0x4176ac30)
    at /home/kde4/development/kde4/kdelibs/kdecore/services/kservicetypetrader.cpp:141
#27 0x00007fd0ebc27e98 in ServiceRunner::match (this=0x154f0b0, 
    context=@0x4176adf0)
    at /home/kde4/development/kde4/kdebase/workspace/plasma/runners/services/servicerunner.cpp:55
#28 0x00007fd0fcfbc776 in Plasma::AbstractRunner::performMatch (
    this=0x154f0b0, globalContext=@0x1746590)
    at /home/kde4/development/kde4/kdebase/workspace/libs/plasma/abstractrunner.cpp:131
#29 0x00007fd0fd016a2f in Plasma::FindMatchesJob::run (this=0x1665830)
    at /home/kde4/development/kde4/kdebase/workspace/libs/plasma/runnermanager.cpp:171
#30 0x00007fd0f92fd1ab in ThreadWeaver::JobRunHelper::runTheJob (
    this=0x4176af30, th=0x17c9c80, job=0x1665830)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/Job.cpp:106
#31 0x00007fd0f92fd3ab in ThreadWeaver::Job::execute (this=0x1665830, 
    th=0x17c9c80)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/Job.cpp:135
#32 0x00007fd0f92fc714 in ThreadWeaver::ThreadRunHelper::run (
    this=0x4176afd0, parent=0x1718fe0, th=0x17c9c80)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/Thread.cpp:95
#33 0x00007fd0f92fc823 in ThreadWeaver::Thread::run (this=0x17c9c80)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/Thread.cpp:142
#34 0x00007fd0f979d83c in QThreadPrivate::start (arg=0x17c9c80)
    at thread/qthread_unix.cpp:190
#35 0x00007fd0f9512fc7 in start_thread () from /lib/libpthread.so.0
#36 0x00007fd0f53e178d in clone () from /lib/libc.so.6
#37 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x41f6c950 (LWP 3576)):
#0  0x00007fd0f9516d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x00007fd0f979e1f1 in QWaitConditionPrivate::wait (this=0x1718000, 
    time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  0x00007fd0f979dd4e in QWaitCondition::wait (this=0x1719008, 
    mutex=0x16b5ae0, time=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:265
#3  0x00007fd0f92f9cc1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1718fe0, th=0x164a000)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fd0f92fe2b7 in ThreadWeaver::WorkingHardState::waitForAvailableJob
    (this=0x1728e30, th=0x164a000)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007fd0f92f9436 in ThreadWeaver::WeaverImpl::waitForAvailableJob (
    this=0x1718fe0, th=0x164a000)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007fd0f92fe3af in ThreadWeaver::WorkingHardState::applyForWork (
    this=0x1728e30, th=0x164a000)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007fd0f92f9efd in ThreadWeaver::WeaverImpl::applyForWork (
    this=0x1718fe0, th=0x164a000, previous=0x17f6910)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007fd0f92fc6c8 in ThreadWeaver::ThreadRunHelper::run (
    this=0x41f6bfd0, parent=0x1718fe0, th=0x164a000)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/Thread.cpp:87
#9  0x00007fd0f92fc823 in ThreadWeaver::Thread::run (this=0x164a000)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/Thread.cpp:142
#10 0x00007fd0f979d83c in QThreadPrivate::start (arg=0x164a000)
    at thread/qthread_unix.cpp:190
#11 0x00007fd0f9512fc7 in start_thread () from /lib/libpthread.so.0
#12 0x00007fd0f53e178d in clone () from /lib/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x4276d950 (LWP 3577)):
#0  0x00007fd0f9516d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x00007fd0f979e1f1 in QWaitConditionPrivate::wait (this=0x1718000, 
    time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  0x00007fd0f979dd4e in QWaitCondition::wait (this=0x1719008, 
    mutex=0x16b5ae0, time=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:265
#3  0x00007fd0f92f9cc1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1718fe0, th=0x172b340)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fd0f92fe2b7 in ThreadWeaver::WorkingHardState::waitForAvailableJob
    (this=0x1728e30, th=0x172b340)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007fd0f92f9436 in ThreadWeaver::WeaverImpl::waitForAvailableJob (
    this=0x1718fe0, th=0x172b340)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007fd0f92fe3af in ThreadWeaver::WorkingHardState::applyForWork (
    this=0x1728e30, th=0x172b340)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007fd0f92f9efd in ThreadWeaver::WeaverImpl::applyForWork (
    this=0x1718fe0, th=0x172b340, previous=0x16eab70)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007fd0f92fc6c8 in ThreadWeaver::ThreadRunHelper::run (
    this=0x4276cfd0, parent=0x1718fe0, th=0x172b340)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/Thread.cpp:87
#9  0x00007fd0f92fc823 in ThreadWeaver::Thread::run (this=0x172b340)
    at /home/kde4/development/kde4/kdelibs/threadweaver/Weaver/Thread.cpp:142
#10 0x00007fd0f979d83c in QThreadPrivate::start (arg=0x172b340)
    at thread/qthread_unix.cpp:190
#11 0x00007fd0f9512fc7 in start_thread () from /lib/libpthread.so.0
#12 0x00007fd0f53e178d in clone () from /lib/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x42f6e950 (LWP 3578)):
#0  0x00007fd0f53daeb2 in select () from /lib/libc.so.6
#1  0x00007fd0f988f6bf in QProcessManager::run (this=0x1527a90)
    at io/qprocess_unix.cpp:307
#2  0x00007fd0f979d83c in QThreadPrivate::start (arg=0x1527a90)
    at thread/qthread_unix.cpp:190
#3  0x00007fd0f9512fc7 in start_thread () from /lib/libpthread.so.0
#4  0x00007fd0f53e178d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fd0fd6467c0 (LWP 3419)):
#0  0x00007fd0f9516d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x00007fd0f979e1f1 in QWaitConditionPrivate::wait (this=0x152ff10, 
    time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  0x00007fd0f979dd4e in QWaitCondition::wait (this=0x1527db0, 
    mutex=0x1527d90, time=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:265
#3  0x00007fd0f979ca44 in QThread::wait (this=0x1527a90, 
    time=18446744073709551615) at thread/qthread_unix.cpp:561
#4  0x00007fd0f988e4e5 in ~QProcessManager (this=0x1527a90)
    at io/qprocess_unix.cpp:270
#5  0x00007fd0f988f8aa in ~QGlobalStaticDeleter (this=0x7fd0f9be0888)
    at ../../include/QtCore/../../src/corelib/global/qglobal.h:1568
#6  0x00007fd0f53469ad in exit () from /lib/libc.so.6
#7  0x00007fd0f7321bc0 in qt_xio_errhandler ()
    at kernel/qapplication_x11.cpp:590
#8  0x00007fd0fbfa34a6 in KApplication::xioErrhandler (this=0x1522d70, 
    dpy=0x1518d10)
    at /home/kde4/development/kde4/kdelibs/kdeui/kernel/kapplication.cpp:418
#9  0x00007fd0fbfa34d4 in kde_xio_errhandler (dpy=0x1518d10)
    at /home/kde4/development/kde4/kdelibs/kdeui/kernel/kapplication.cpp:130
#10 0x00007fd0f8c0cb14 in _XIOError () from /usr/lib/libX11.so.6
#11 0x00007fd0f8c13bb9 in ?? () from /usr/lib/libX11.so.6
#12 0x00007fd0f8c14286 in _XEventsQueued () from /usr/lib/libX11.so.6
#13 0x00007fd0f8bfdfcb in XEventsQueued () from /usr/lib/libX11.so.6
#14 0x00007fd0f73619e3 in x11EventSourceCheck (s=0x1527880)
    at kernel/qguieventdispatcher_glib.cpp:89
#15 0x00007fd0f41a0de4 in g_main_context_check ()
   from /usr/lib/libglib-2.0.so.0
#16 0x00007fd0f41a1125 in ?? () from /usr/lib/libglib-2.0.so.0
#17 0x00007fd0f41a183f in g_main_context_iteration ()
   from /usr/lib/libglib-2.0.so.0
#18 0x00007fd0f98eabee in QEventDispatcherGlib::processEvents (
    this=0x150c8d0, flags={i = 91840112})
    at kernel/qeventdispatcher_glib.cpp:325
#19 0x00007fd0f736139b in QGuiEventDispatcherGlib::processEvents (
    this=0x150c8d0, flags={i = 91840208})
    at kernel/qguieventdispatcher_glib.cpp:204
#20 0x00007fd0f98b05d7 in QEventLoop::processEvents (this=0x7fff05795f90, 
    flags={i = 91840320}) at kernel/qeventloop.cpp:149
#21 0x00007fd0f98b07d4 in QEventLoop::exec (this=0x7fff05795f90, flags=
      {i = 91840416}) at kernel/qeventloop.cpp:200
#22 0x00007fd0f98b49c5 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:845
#23 0x00007fd0f72a0ef4 in QApplication::exec ()
    at kernel/qapplication.cpp:3304
#24 0x00007fd0fd356908 in kdemain (argc=1, argv=0x7fff05796248)
    at /home/kde4/development/kde4/kdebase/workspace/krunner/main.cpp:53
#25 0x00000000004009a7 in main (argc=1, argv=0x7fff05796248)
    at /home/kde4/development/kde/buildkdebase/workspace/krunner/krunner_dummy.cpp:3
#0  0x00007fd0f9516d29 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
Comment 2 Aaron J. Seigo 2008-06-09 21:11:36 UTC
close... i need the same crash, but with a backtrace going through the startup notification code .. damn multithreading and race conditions.
Comment 3 Luke Channings 2008-06-11 18:51:47 UTC
I also go the same in 4.0.82 except the bug report came up immediatly after launching the application, here is the trace:

Application: Run Command Interface (krunner), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0xb534b940 (LWP 30743)]
[New Thread 0xaf850b90 (LWP 30823)]
[New Thread 0xb0051b90 (LWP 30822)]
[New Thread 0xb0852b90 (LWP 30821)]
[New Thread 0xb1053b90 (LWP 30820)]
[New Thread 0xb1854b90 (LWP 30819)]
[New Thread 0xb2055b90 (LWP 30818)]
[New Thread 0xb2856b90 (LWP 30817)]
[New Thread 0xb3057b90 (LWP 30816)]
[New Thread 0xb3858b90 (LWP 30815)]
[KCrash handler]
#6  0xb64dd5ff in QIODevice::seek () from /usr/lib/libQtCore.so.4
#7  0xb64c4a00 in QBuffer::seek () from /usr/lib/libQtCore.so.4
#8  0xb6fe99b2 in KSycocaDict::Private::offsetForKey (this=0x80e1008, 
    key=@0xbfcc685c)
    at /opt/kde4/kde/src/KDE/kdelibs/kdecore/sycoca/ksycocadict.cpp:518
#9  0xb6fea8db in KSycocaDict::find_string (this=0x80e41b0, key=@0xbfcc685c)
    at /opt/kde4/kde/src/KDE/kdelibs/kdecore/sycoca/ksycocadict.cpp:142
#10 0xb6f6831d in KServiceFactory::findServiceByDesktopName (this=0x82c4120, 
    _name=@0xbfcc685c)
    at /opt/kde4/kde/src/KDE/kdelibs/kdecore/services/kservicefactory.cpp:115
#11 0xb6f60b6d in KService::serviceByDesktopName (_name=@0xbfcc68b4)
    at /opt/kde4/kde/src/KDE/kdelibs/kdecore/services/kservice.cpp:581
#12 0xb716f219 in KRun::runCommand (cmd=@0xbfcc6924, execName=@0xbfcc68fc, 
    iconName=@0xbfcc68fc, window=0x0, asn=@0xbfcc68f8)
    at /opt/kde4/kde/src/KDE/kdelibs/kio/kio/krun.cpp:800
#13 0xb716f2ea in KRun::runCommand (cmd=@0xbfcc6924, window=0x0)
    at /opt/kde4/kde/src/KDE/kdelibs/kio/kio/krun.cpp:791
#14 0xb3ab8115 in ShellRunner::run (this=0x822c118, context=@0x80a2260, 
    match=@0x8247414)
    at /opt/kde4/kde/src/KDE/kdebase/workspace/plasma/runners/shell/shellrunner.cpp:101
#15 0xb7e0d775 in Plasma::QueryMatch::run (this=0x8247414, context=@0x80a2260)
    at /opt/kde4/kde/src/KDE/kdebase/workspace/libs/plasma/querymatch.cpp:207
#16 0xb7e1078b in Plasma::RunnerManager::run (this=0x8156b70, 
    match=@0x8247414)
    at /opt/kde4/kde/src/KDE/kdebase/workspace/libs/plasma/runnermanager.cpp:379
#17 0xb7eea6d4 in ResultItem::run (this=0x8267f48, manager=0x8156b70)
    at /opt/kde4/kde/src/KDE/kdebase/workspace/krunner/resultitem.cpp:393
#18 0xb7eedd65 in ResultScene::run (this=0x816c8a0, item=0x8267f48)
    at /opt/kde4/kde/src/KDE/kdebase/workspace/krunner/resultscene.cpp:327
#19 0xb7ee28ee in Interface::run (this=0x80fb1b8, item=0x8267f48)
    at /opt/kde4/kde/src/KDE/kdebase/workspace/krunner/interface.cpp:403
#20 0xb7ee2935 in Interface::runDefaultResultItem (this=0x80fb1b8)
    at /opt/kde4/kde/src/KDE/kdebase/workspace/krunner/interface.cpp:410
#21 0xb7ee3235 in Interface::qt_metacall (this=0x80fb1b8, 
    _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbfcc6af8)
    at /opt/kde4/kde/build/KDE/kdebase/workspace/krunner/interface.moc:97
#22 0xb65564f9 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#23 0xb6556bc2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#24 0xb6d4c43f in KComboBox::returnPressed (this=0x8146118)
    at /opt/kde4/kde/build/KDE/kdelibs/kdeui/kcombobox.moc:160
#25 0xb6d4d17b in KComboBox::qt_metacall (this=0x8146118, 
    _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfcc6c28)
    at /opt/kde4/kde/build/KDE/kdelibs/kdeui/kcombobox.moc:104
#26 0xb6d626aa in KHistoryComboBox::qt_metacall (this=0x8146118, 
    _c=QMetaObject::InvokeMetaMethod, _id=51, _a=0xbfcc6c28)
    at /opt/kde4/kde/build/KDE/kdelibs/kdeui/khistorycombobox.moc:76
#27 0xb65564f9 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#28 0xb6556bc2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#29 0xb5edc0c7 in QLineEdit::returnPressed () from /usr/lib/libQtGui.so.4
#30 0xb5ee3600 in QLineEdit::keyPressEvent () from /usr/lib/libQtGui.so.4
#31 0xb6d6f001 in KLineEdit::keyPressEvent (this=0x816bfb8, e=0xbfcc7524)
    at /opt/kde4/kde/src/KDE/kdelibs/kdeui/widgets/klineedit.cpp:998
#32 0xb5b996f4 in QWidget::event () from /usr/lib/libQtGui.so.4
#33 0xb5ee410f in QLineEdit::event () from /usr/lib/libQtGui.so.4
#34 0xb6d6b62f in KLineEdit::event (this=0x816bfb8, ev=0xbfcc7524)
    at /opt/kde4/kde/src/KDE/kdelibs/kdeui/widgets/klineedit.cpp:1284
#35 0xb5e9f346 in QComboBox::keyPressEvent () from /usr/lib/libQtGui.so.4
#36 0xb6d61ce3 in KHistoryComboBox::keyPressEvent (this=0x8146118, 
    e=0xbfcc7524)
    at /opt/kde4/kde/src/KDE/kdelibs/kdeui/widgets/khistorycombobox.cpp:345
#37 0xb5b996f4 in QWidget::event () from /usr/lib/libQtGui.so.4
#38 0xb5e9c067 in QComboBox::event () from /usr/lib/libQtGui.so.4
#39 0xb5b41c0c in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#40 0xb5b46aec in QApplication::notify () from /usr/lib/libQtGui.so.4
#41 0xb6cb361f in KApplication::notify (this=0x805f698, receiver=0x8146118, 
    event=0xbfcc7524)
    at /opt/kde4/kde/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:311
#42 0xb65416a9 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#43 0xb5b9d22e in ?? () from /usr/lib/libQtGui.so.4
#44 0xb5bd1eeb in ?? () from /usr/lib/libQtGui.so.4
#45 0xb5bd3fce in ?? () from /usr/lib/libQtGui.so.4
#46 0xb5bac4e5 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
#47 0xb5bd53ba in ?? () from /usr/lib/libQtGui.so.4
#48 0xb5480bf8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#49 0xb5483e5e in ?? () from /usr/lib/libglib-2.0.so.0
#50 0xb54843ac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#51 0xb656cf98 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
#52 0xb5bd51b5 in ?? () from /usr/lib/libQtGui.so.4
#53 0xb654092d in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#54 0xb6540abd in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#55 0xb6542d3d in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#56 0xb5b41567 in QApplication::exec () from /usr/lib/libQtGui.so.4
#57 0xb7ee9f17 in kdemain (argc=1, argv=0xbfcc7fb4)
    at /opt/kde4/kde/src/KDE/kdebase/workspace/krunner/main.cpp:53
#58 0x080487c6 in main (argc=)
    at /opt/kde4/kde/build/KDE/kdebase/workspace/krunner/krunner_dummy.cpp:3
#0  0xb7f07410 in __kernel_vsyscall ()
Comment 4 Aaron J. Seigo 2008-06-12 10:28:28 UTC
Luke: that's a different crash, and is already fixed in trunk/
Comment 5 Lubos Lunak 2008-07-21 16:23:07 UTC
SVN commit 835987 by lunakl:

Remove emitting of aboutToQuit() from KApplication::xioErrhandler() - the application
is not about to quit, it is about to fall flat on its face. There is really not that
much to do once KDE apps lose their connection to the X server. How that can happen
while the X server still continues to run is a different question and I don't know
the answer. It is quite possible it is caused by careless usage of one X connection
from several threads concurrently without proper locking.

CCBUG: 166685
CCBUG: 166432
CCBUG: 166401
CCBUG: 166179
CCBUG: 165451
CCBUG: 165307
CCBUG: 165059
CCBUG: 164740
CCBUG: 164665
CCBUG: 163751
CCBUG: 163355
CCBUG: 161787
CCBUG: 160692
CCBUG: 160458
CCBUG: 158194
CCBUG: 158088
CCBUG: 157607
CCBUG: 154011
CCBUG: 151293
CCBUG: 146891
CCBUG: 146700
CCBUG: 146562
CCBUG: 144383
CCBUG: 143375
CCBUG: 141871
BUG: 140683
CCBUG: 139162
CCBUG: 134708
CCBUG: 133332
CCBUG: 128588
CCBUG: 112960



 M  +0 -1      kapplication.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=835987
Comment 6 Neil Grogan 2009-01-01 17:30:13 UTC
Looks like I have the same problem... Using KDE 4.2 Beta 2 from Kubuntu Packages (X86_64) ; here is the crash log:

Application: Run Command Interface (krunner), signal SIGABRT
0x00007fca08008621 in nanosleep () from /lib/libc.so.6
[Current thread is 0 (LWP 6128)]

Thread 6 (Thread 0x4183b950 (LWP 6138)):
#0  0x00007fca0803f482 in select () from /lib/libc.so.6
#1  0x00007fca09f19006 in ?? () from /usr/lib/libQtCore.so.4
#2  0x00007fca09e50362 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007fca049023ea in start_thread () from /lib/libpthread.so.0
#4  0x00007fca08046c6d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x42298950 (LWP 6455)):
#0  0x00007fca049062d9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fca09e51349 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#2  0x00007fca0c115bd7 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1ce6060, th=0x1d2af10) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fca0c118f28 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1ce5bb0, th=0x1d2af10) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fca0c117504 in ThreadWeaver::ThreadRunHelper::run (this=0x422980b0, parent=0x1ce6060, th=0x1d2af10) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/Thread.cpp:87
#5  0x00007fca0c1175de in ThreadWeaver::Thread::run (this=0x1d2af10) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/Thread.cpp:142
#6  0x00007fca09e50362 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007fca049023ea in start_thread () from /lib/libpthread.so.0
#8  0x00007fca08046c6d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x42a99950 (LWP 6456)):
#0  0x00007fca049062d9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fca09e51349 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#2  0x00007fca0c115bd7 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1ce6060, th=0x1f1e8d0) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fca0c118f28 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1ce5bb0, th=0x1f1e8d0) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fca0c117504 in ThreadWeaver::ThreadRunHelper::run (this=0x42a990b0, parent=0x1ce6060, th=0x1f1e8d0) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/Thread.cpp:87
#5  0x00007fca0c1175de in ThreadWeaver::Thread::run (this=0x1f1e8d0) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/Thread.cpp:142
#6  0x00007fca09e50362 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007fca049023ea in start_thread () from /lib/libpthread.so.0
#8  0x00007fca08046c6d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x4329a950 (LWP 6457)):
#0  0x00007fca049062d9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fca09e51349 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#2  0x00007fca0c115bd7 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1ce6060, th=0x21c5000) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fca0c118f28 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1ce5bb0, th=0x21c5000) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fca0c117504 in ThreadWeaver::ThreadRunHelper::run (this=0x4329a0b0, parent=0x1ce6060, th=0x21c5000) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/Thread.cpp:87
#5  0x00007fca0c1175de in ThreadWeaver::Thread::run (this=0x21c5000) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/Thread.cpp:142
#6  0x00007fca09e50362 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007fca049023ea in start_thread () from /lib/libpthread.so.0
#8  0x00007fca08046c6d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x43a9b950 (LWP 6458)):
#0  0x00007fca049062d9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fca09e51349 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#2  0x00007fca0c115bd7 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1ce6060, th=0x21c93c0) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fca0c118f28 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1ce5bb0, th=0x21c93c0) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fca0c117504 in ThreadWeaver::ThreadRunHelper::run (this=0x43a9b0b0, parent=0x1ce6060, th=0x21c93c0) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/Thread.cpp:87
#5  0x00007fca0c1175de in ThreadWeaver::Thread::run (this=0x21c93c0) at /build/buildd/kde4libs-4.1.85/threadweaver/Weaver/Thread.cpp:142
#6  0x00007fca09e50362 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007fca049023ea in start_thread () from /lib/libpthread.so.0
#8  0x00007fca08046c6d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fca0d1ad700 (LWP 6128)):
[KCrash Handler]
#5  0x00007fca07f92fd5 in raise () from /lib/libc.so.6
#6  0x00007fca07f94b43 in abort () from /lib/libc.so.6
#7  0x00007fca09e486b5 in qt_message_output () from /usr/lib/libQtCore.so.4
#8  0x00007fca09e487fd in qFatal () from /usr/lib/libQtCore.so.4
#9  0x00007fca0a524378 in KConfigGroup (this=0x7fff151e6a00, master=@0x1ce7ca8, _group=<value optimized out>) at /build/buildd/kde4libs-4.1.85/kdecore/util/ksharedptr.h:115
#10 0x00007fca0c43b7ab in Plasma::Theme::findInRectsCache () from /usr/lib/libplasma.so.3
#11 0x00007fca0c436cad in Plasma::Svg::elementSize () from /usr/lib/libplasma.so.3
#12 0x00007fca0c40895f in ?? () from /usr/lib/libplasma.so.3
#13 0x00007fca0c409179 in Plasma::FrameSvg::resizeFrame () from /usr/lib/libplasma.so.3
#14 0x00007fca0cd9985d in ?? () from /usr/lib/libkdeinit4_krunner.so
#15 0x00007fca0cda303f in ?? () from /usr/lib/libkdeinit4_krunner.so
#16 0x00007fca0ab21148 in QWidget::event () from /usr/lib/libQtGui.so.4
#17 0x00007fca0cd998d0 in ?? () from /usr/lib/libkdeinit4_krunner.so
#18 0x00007fca0aacec3d in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#19 0x00007fca0aad69ba in QApplication::notify () from /usr/lib/libQtGui.so.4
#20 0x00007fca0b8b6f0b in KApplication::notify (this=0x1c195b0, receiver=0x1ce6570, event=0x7fff151e7620) at /build/buildd/kde4libs-4.1.85/kdeui/kernel/kapplication.cpp:307
#21 0x00007fca09f38d61 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#22 0x00007fca0ab1bf73 in QWidgetPrivate::sendPendingMoveAndResizeEvents () from /usr/lib/libQtGui.so.4
#23 0x00007fca0ab23e43 in QWidgetPrivate::show_helper () from /usr/lib/libQtGui.so.4
#24 0x00007fca0ab2449a in QWidget::setVisible () from /usr/lib/libQtGui.so.4
#25 0x00007fca0aee8d7c in QDialog::setVisible () from /usr/lib/libQtGui.so.4
#26 0x00007fca0cda342e in ?? () from /usr/lib/libkdeinit4_krunner.so
#27 0x00007fca0cd9beb2 in ?? () from /usr/lib/libkdeinit4_krunner.so
#28 0x00007fca0cdb47e5 in ?? () from /usr/lib/libkdeinit4_krunner.so
#29 0x00007fca0a246ea3 in ?? () from /usr/lib/libQtDBus.so.4
#30 0x00007fca0a2480b4 in ?? () from /usr/lib/libQtDBus.so.4
#31 0x00007fca0a248791 in ?? () from /usr/lib/libQtDBus.so.4
#32 0x00007fca0a248aa8 in ?? () from /usr/lib/libQtDBus.so.4
#33 0x00007fca09f47da5 in QObject::event () from /usr/lib/libQtCore.so.4
#34 0x00007fca0aad434a in QApplication::event () from /usr/lib/libQtGui.so.4
#35 0x00007fca0aacec3d in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#36 0x00007fca0aad69ba in QApplication::notify () from /usr/lib/libQtGui.so.4
#37 0x00007fca0b8b6f0b in KApplication::notify (this=0x1c195b0, receiver=0x1c195b0, event=0x1cedc30) at /build/buildd/kde4libs-4.1.85/kdeui/kernel/kapplication.cpp:307
#38 0x00007fca09f38d61 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#39 0x00007fca09f399fa in QCoreApplicationPrivate::sendPostedEvents () from /usr/lib/libQtCore.so.4
#40 0x00007fca09f614d3 in ?? () from /usr/lib/libQtCore.so.4
#41 0x00007fca04b50d3b in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#42 0x00007fca04b5450d in ?? () from /usr/lib/libglib-2.0.so.0
#43 0x00007fca04b546cb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#44 0x00007fca09f6115f in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#45 0x00007fca0ab60a6f in ?? () from /usr/lib/libQtGui.so.4
#46 0x00007fca09f37682 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#47 0x00007fca09f3780d in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#48 0x00007fca09f39cbd in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#49 0x00007fca0cd9dc55 in kdemain () from /usr/lib/libkdeinit4_krunner.so
#50 0x00007fca07f7e466 in __libc_start_main () from /lib/libc.so.6
#51 0x00000000004007c9 in _start ()
Comment 7 Jacopo De Simoi 2010-01-09 00:39:22 UTC
The last bt is unrelated (bug 177463), the second and third have been fixed, the first one is lacking debug infos and thus invalid. Lots of dbus-related issues have been fixed, since then, so I'm closing this one as well.
Comment 8 Valentin Rusu 2010-01-09 12:43:20 UTC
I confirm that latest KDE releases no longer crash. Si I choose de close this bug.